Bug 152092 - CAN-2005-1046 PCX file integer overflow
CAN-2005-1046 PCX file integer overflow
Status: CLOSED ERRATA
Product: Red Hat Enterprise Linux 4
Classification: Red Hat
Component: kdelibs (Show other bugs)
4.0
All Linux
medium Severity high
: ---
: ---
Assigned To: Ngo Than
impact=important,public=20050324,sour...
: Security
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2005-03-24 14:38 EST by Josh Bressers
Modified: 2007-11-30 17:07 EST (History)
0 users

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2005-05-17 10:34:00 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)


External Trackers
Tracker ID Priority Status Summary Last Updated
Red Hat Product Errata RHSA-2005:393 normal SHIPPED_LIVE Important: kdelibs security update 2005-05-17 00:00:00 EDT

  None (edit)
Description Josh Bressers 2005-03-24 14:38:45 EST
Some corrupt PCX files crash gwenview badly and it could maybe be exploitable. 

More information is available in the KDE bugzilla:
http://bugs.kde.org/show_bug.cgi?id=102328
Comment 1 Josh Bressers 2005-03-24 14:40:51 EST
This issue may also affect RHEL2.1 and RHEL3.

I'm not entirely sure of the overall impact of this issue yet.
Comment 2 Ngo Than 2005-04-18 09:54:01 EDT
i have taken a look here, it's only affected in KDE 3.2 up to including KDE 3.4.
it's only affected in RHEL4 in FC3


Comment 3 Ngo Than 2005-04-18 11:09:14 EDT
it's fixed in kdelibs-3.3.1-3.8
Comment 4 Josh Bressers 2005-05-17 10:34:00 EDT
An advisory has been issued which should help the problem
described in this bug report. This report is therefore being
closed with a resolution of ERRATA. For more information
on the solution and/or where to find the updated files,
please follow the link below. You may reopen this bug report
if the solution does not work for you.

http://rhn.redhat.com/errata/RHSA-2005-393.html

Note You need to log in before you can comment on or make changes to this bug.